clear
capture log close
set more off

*** Global
global root "C:\Users\walke\Dropbox\Shipbuilding project\JEEA_replication_files"


** Table A.3
use "$root\data\homeport_data_1912", replace

keep if homeport_region=="great lakes" | homeport_region=="atlantic"
drop if country_build==""
replace tons=0 if tons==.
replace region_build="uk" if country_build=="UK"
drop if year<1890 | year>1912
drop if region_build==""
replace country_build="OTHER FOREIGN" if region_build=="foreign"
replace region_build="other" if region_build=="pacific"
replace region_build="other" if region_build=="gulf coast"
collapse (sum) tons, by(country_build region_build homeport_region)

replace homeport_region="lakes" if homeport_region=="great lakes"
reshape wide tons, i(country_build region_build) j(homeport_region) string
rename tonsatlantic Atlantic
rename tonslakes Lakes
replace Atlantic=0 if Atlantic==.
replace Lakes=0 if Lakes==.

outsheet using "$root\appendix_tables_figures\Table_A3\Table_A3.csv", comma names replace


** Table A.4
use "$root\data\homeport_data_1912", replace

keep if homeport_country=="US" | homeport_country=="CANADA"
keep if homeport_region=="atlantic"
drop if country_build==""

replace tons=0 if tons==.
drop if year<1890 | year>1912
replace country_build="OTHER FOREIGN" if country_build!="CANADA" & country_build!="US" & country_build!="UK"
drop if country_build=="US" & region_build==""
drop if country_build=="CANADA" & region_build==""
collapse (sum) tons, by(homeport_country country_build)

reshape wide tons, i(country_build) j(homeport_country) string

rename tonsUS US
rename tonsCANADA Canada
replace US=0 if US==.
replace Canada=0 if Canada==.

outsheet using "$root\appendix_tables_figures\Table_A4\Table_A4.csv", comma names replace


** Table A5
use "$root\data\homeport_data_1912", replace

keep if region_build=="great lakes" | region_build=="atlantic"
replace tons=0 if tons==.
drop if year<1890 | year>1912
replace homeport_country="OTHER FOREIGN" if homeport_country!="CANADA" & homeport_country!="US" & homeport_country!="UK"
replace homeport_region="other" if homeport_region=="pacific"
replace homeport_region="other" if homeport_region=="gulf coast"
replace homeport_region="unknown" if homeport_region=="" & country=="US"
replace homeport_region="unknown" if homeport_region=="" & country=="CANADA"
collapse (sum) tons, by(homeport_country homeport_region region_build)

replace region_build="lakes" if region_build=="great lakes"
reshape wide tons, i(homeport_country homeport_region) j(region_build) string

rename tonsatlantic Atlantic
rename tonslakes Lakes
replace Atlantic=0 if Atlantic==.
replace Lakes=0 if Lakes==.

outsheet using "$root\appendix_tables_figures\Table_A5\Table_A5.csv", comma names replace

bob;




** Q4: What are the share os sail vs. steam for ships homeported in the US and Canada?
use "$root\output\homeport_data_1912", replace

keep if homeport_country=="US" | homeport_country=="CANADA"
keep if homeport_region=="atlantic" | homeport_region=="great lakes"

replace tons=0 if tons==.
drop if year<1900 | year>1912
collapse (sum) tons, by(homeport_region power)

replace homeport_region="lakes" if homeport_region=="great lakes"
reshape wide tons, i(power) j(homeport_region) string


rename tonsatlantic Atlantic
rename tonslakes Lakes

outsheet using "$root\results\homeport_analysis\sail_steam_table.csv", comma names replace


** Q5: What are the share os sail vs. steam for ships in lakes vs. everywhere else?
use "$root\output\homeport_data_1912", replace

drop if power==""
replace tons=0 if tons==.
drop if year<1900 | year>1912
replace homeport_region="non_lakes" if homeport_region!="great lakes"
replace homeport_region="lakes" if homeport_region=="great lakes"
collapse (sum) tons, by(homeport_region power)

reshape wide tons, i(power) j(homeport_region) string

rename tonsnon_lakes Atlantic
rename tonslakes Lakes

outsheet using "$root\results\homeport_analysis\sail_steam_table_all_countries.csv", comma names replace

*/
** Q6: What share of different US ships are homeported abroad?
use "$root\output\homeport_data_1912", replace

keep if country_build=="US"
keep if region_build=="atlantic"
drop if homeport_country==""
gen homeport_US=0
replace homeport_US=1 if homeport_country=="US"
drop if ship_material==""

replace tons=0 if tons==.
drop if year<1890 | year>1912
bob;
collapse (sum) tons, by(homeport_US ship_material year)

reshape wide tons, i(ship_material year) j(homeport_US)

replace tons0=0 if tons0==.
replace tons1=0 if tons1==.

gen share_exported=tons0/tons1
drop tons*

reshape wide share_exported, i(year) j(ship_material) string

bob;


replace homeport_region="lakes" if homeport_region=="great lakes"


rename tonsatlantic Atlantic
rename tonslakes Lakes

outsheet using "$root\results\homeport_analysis\sail_steam_table.csv", comma names replace


***
