clear
capture log close
set more off


*** Global
global root "C:\Users\walke\Dropbox\Shipbuilding project\JEEA_replication_files"

*** Table A6 Panel A
use "$root\data\homeport_data_1912", replace
drop if depth==.
drop if ship_material==""
drop if region_build=="pacific" | region_build=="gulf coast"
replace region_build="great_lakes" if region_build=="great lakes"
gen depth_per_ton=depth/tons*1000
gen counter=1
collapse (mean) depth depth_per_ton tons (sum) counter, by(region_build ship_material)
drop if region_build==""
drop counter
rename depth value_depth
rename depth_per_ton value_depth_per_ton
rename tons value_average_tons
replace value_depth=round(value_depth,.01)
replace value_depth_per_ton=round(value_depth_per_ton,.001)
replace value_average_tons=round(value_average_tons)
reshape long value_, i(ship_material region_build) j(variable) string
reshape wide value_, i(ship_material variable) j(region_build) string

gen var_no=1
replace var_no=2 if variable=="average_tons"
replace var_no=3 if variable=="depth_per_ton"

replace variable="Average depth (ft)" if variable=="depth"
replace variable="Average tonnage" if variable=="average_tons"
replace variable="Average depth (ft)/1000 tons" if variable=="depth_per_ton"
sort ship_material var_no

label variable value_atlantic "Atlantic"
label variable value_foreign "Foreign"
label variable value_great_lakes "Great Lakes"
label variable value_uk "UK"
order ship_material variable value_atlantic value_great_lakes value_uk value_foreign
drop var_no

outsheet using "$root\appendix_tables_figures\Table_A6\Table_A6_by_type.csv", comma names replace


****** For only ships over 1000 tons

*** Table A6 Panel A
use "$root\data\homeport_data_1912", replace
drop if depth==.
drop if ship_material==""
drop if tons<1000
drop if region_build=="pacific" | region_build=="gulf coast"
replace region_build="great_lakes" if region_build=="great lakes"
gen depth_per_ton=depth/tons*1000
gen counter=1
collapse (mean) depth depth_per_ton tons (sum) counter, by(region_build ship_material)
drop if region_build==""
drop counter
rename depth value_depth
rename depth_per_ton value_depth_per_ton
rename tons value_average_tons
replace value_depth=round(value_depth,.01)
replace value_depth_per_ton=round(value_depth_per_ton,.001)
replace value_average_tons=round(value_average_tons)
reshape long value_, i(ship_material region_build) j(variable) string
reshape wide value_, i(ship_material variable) j(region_build) string

gen var_no=1
replace var_no=2 if variable=="average_tons"
replace var_no=3 if variable=="depth_per_ton"

replace variable="Average depth (ft)" if variable=="depth"
replace variable="Average tonnage" if variable=="average_tons"
replace variable="Average depth (ft)/1000 tons" if variable=="depth_per_ton"
sort ship_material var_no

label variable value_atlantic "Atlantic"
label variable value_foreign "Foreign"
label variable value_great_lakes "Great Lakes"
label variable value_uk "UK"
order ship_material variable value_atlantic value_great_lakes value_uk value_foreign
drop var_no

outsheet using "$root\appendix_tables_figures\Table_A6\Table_A6_1000tons.csv", comma names replace


*** Combining wood and iron

*** Table A6 Panel A
use "$root\data\homeport_data_1912", replace
drop if depth==.
drop if ship_material==""
drop if region_build=="pacific" | region_build=="gulf coast"
replace region_build="great_lakes" if region_build=="great lakes"
gen depth_per_ton=depth/tons*1000
gen counter=1
collapse (mean) depth depth_per_ton tons (sum) counter, by(region_build)
drop if region_build==""
drop counter
rename depth value_depth
rename depth_per_ton value_depth_per_ton
rename tons value_average_tons
replace value_depth=round(value_depth,.01)
replace value_depth_per_ton=round(value_depth_per_ton,.001)
replace value_average_tons=round(value_average_tons)
reshape long value_, i(region_build) j(variable) string
reshape wide value_, i(variable) j(region_build) string

gen var_no=1
replace var_no=2 if variable=="average_tons"
replace var_no=3 if variable=="depth_per_ton"

replace variable="Average depth (ft)" if variable=="depth"
replace variable="Average tonnage" if variable=="average_tons"
replace variable="Average depth (ft)/1000 tons" if variable=="depth_per_ton"
sort var_no

label variable value_atlantic "Atlantic"
label variable value_foreign "Foreign"
label variable value_great_lakes "Great Lakes"
label variable value_uk "UK"
gen ship_material="Iron and Wood"
order ship_material variable value_atlantic value_great_lakes value_uk value_foreign
drop var_no

outsheet using "$root\appendix_tables_figures\Table_A6\Table_A6_combined.csv", comma names replace
***
