clear
capture log close
set more off


*** Global
global root "C:\Users\walke\Dropbox\Shipbuilding project\JEEA_replication_files"


** Look at ships registered in the ABS Registry but homeported outside of the US, UK and Canada. What shares of tonnage are composed of US-built vs. UK built ships?

use "$root\data\homeport_data_1912", replace

replace homeport_region="foreign" if homeport_region==""
replace homeport_region="canada" if homeport_country=="CANADA"
replace homeport_region="" if homeport_country=="US"
keep if homeport_region=="foreign"
drop if country_build==""
drop if homeport_country==""

gen uk_colony=0
replace uk_colony=1 if homeport_country=="AUSTRALIA"
replace uk_colony=1 if homeport_country=="BAHAMAS"
replace uk_colony=1 if homeport_country=="BARBADOS"
replace uk_colony=1 if homeport_country=="BELIZE"
replace uk_colony=1 if homeport_country=="INDIA"
replace uk_colony=1 if homeport_country=="JAMAICA"
replace uk_colony=1 if homeport_country=="MALTA"
replace uk_colony=1 if homeport_country=="NEW ZEALAND"
replace uk_colony=1 if homeport_country=="ST. LUCIA"
replace uk_colony=1 if homeport_country=="TRINIDAD"
replace uk_colony=1 if homeport_country=="UK"

gen tons_no_colonies=tons
replace tons_no_colonies=0 if uk_colony==1

gen count_no_colony=0
replace count_no_colony=1 if uk_colony==0

replace country_build="ALL OTHERS" if country_build!="UK" & country_build!="US" & country_build!="CANADA"

gen ship_count=1
collapse (sum) tons ship_count tons_no_colonies count_no_colony, by(country_build)

egen total_foreign_tons=sum(tons)
gen tons_share=tons/total_foreign_tons

egen total_no_colonies=sum(tons_no_colonies)
gen share_no_colonies=tons_no_colonies/total_no_colonies

keep country_build tons_share share_no_colonies
replace tons_share=tons_share*100
replace tons_share=round(tons_share,.01)
replace share_no_colonies=share_no_colonies*100
replace share_no_colonies=round(share_no_colonies,.01)

outsheet using "$root\results\Table_04\Table_04_Col_1_2.csv", comma names replace


** Now same exercise but only with ships less than 5 years old

use "$root\data\homeport_data_1912", replace

keep if year>1904
replace homeport_region="foreign" if homeport_region==""
replace homeport_region="canada" if homeport_country=="CANADA"
replace homeport_region="" if homeport_country=="US"
keep if homeport_region=="foreign"
drop if country_build==""
drop if homeport_country==""


gen uk_colony=0
replace uk_colony=1 if homeport_country=="AUSTRALIA"
replace uk_colony=1 if homeport_country=="BAHAMAS"
replace uk_colony=1 if homeport_country=="BARBADOS"
replace uk_colony=1 if homeport_country=="BELIZE"
replace uk_colony=1 if homeport_country=="INDIA"
replace uk_colony=1 if homeport_country=="JAMAICA"
replace uk_colony=1 if homeport_country=="MALTA"
replace uk_colony=1 if homeport_country=="NEW ZEALAND"
replace uk_colony=1 if homeport_country=="ST. LUCIA"
replace uk_colony=1 if homeport_country=="TRINIDAD"
replace uk_colony=1 if homeport_country=="UK"

gen tons_no_colonies=tons
replace tons_no_colonies=0 if uk_colony==1

gen count_no_colony=0
replace count_no_colony=1 if uk_colony==0

replace country_build="ALL OTHERS" if country_build!="UK" & country_build!="US" & country_build!="CANADA"

gen ship_count=1
collapse (sum) tons ship_count tons_no_colonies count_no_colony, by(country_build)

egen total_foreign_tons=sum(tons)
gen tons_share=tons/total_foreign_tons

egen total_no_colonies=sum(tons_no_colonies)
gen share_no_colonies=tons_no_colonies/total_no_colonies

keep country_build tons_share share_no_colonies
replace tons_share=tons_share*100
replace tons_share=round(tons_share,.01)
replace share_no_colonies=share_no_colonies*100
replace share_no_colonies=round(share_no_colonies,.01)

outsheet using "$root\results\Table_04\Table_04_Col_3_4.csv", comma names replace

***
